# Get banks This endpoint does not require authentication. Endpoint: GET /banks Version: 1.0.0 ## Query parameters: - `countryCode` (string) Limit the results to a specific ISO 3166-1 Alpha-2 country code. Example: "NO" - `channels` (array) Limit the results to one or more specific channels (e.g. "psd2", "openbanking"). - `includeAdditionalInformation` (boolean) Set to true if additional information about the bank integration should be included. Used for documentation purposes. ## Header parameters: - `api-version` (string) ## Response 200 fields (application/json): - `banks` (array) A list of banks - `banks.id` (string) Unique identifier for the bank Example: "9FBEFB80-27E1-421F-A24F-467334007D39" - `banks.bic` (string) BIC/SWIFT code of the bank Example: "DNBANOKKXXX" - `banks.name` (string) Name of the bank Example: "DNB Bank ASA" - `banks.countryCode` (string) ISO 3166-1 Alpha 2 country code Example: "NO" - `banks.channelType` (string) The banking channel. Enum: "unspecified", "openBanking", "psd2" - `banks.consentProperties` (null,object) Attributes that can be used when creating consents - `banks.logo` (string) Bank logo - `banks.additionalInformations` (array) Additional information about the specific bank / integration. Typically used for documentation purposes. - `banks.additionalInformations.heading` (string) - `banks.additionalInformations.content` (string) - `banks.onboarding` (object) Contains information related to onboarding against a specific bank. - `banks.onboarding.href` (null,string) Link to an external onboarding page that the PSU can be redirected to. - `banks.onboarding.document` (null,string) Link to a document that describes the onboarding process for the bank. ## Response 401 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string) ## Response 403 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string)